summaryrefslogtreecommitdiff
path: root/startYACY.sh
diff options
context:
space:
mode:
authorallo <allo@6c8d7289-2bf4-0310-a012-ef5d649a1542>2006-02-04 16:24:05 +0000
committerallo <allo@6c8d7289-2bf4-0310-a012-ef5d649a1542>2006-02-04 16:24:05 +0000
commit0b89dc7dce7ef3f6f6b0b26218a087cc94edcb87 (patch)
tree5775de9633636cdcb4bdba6147800dff44c2e8a8 /startYACY.sh
parent5281cb19870ae08e433c29fddc11b5c8e449fb53 (diff)
fixed broken startscript.
git-svn-id: https://svn.berlios.de/svnroot/repos/yacy/trunk@1532 6c8d7289-2bf4-0310-a012-ef5d649a1542
Diffstat (limited to 'startYACY.sh')
-rwxr-xr-xstartYACY.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/startYACY.sh b/startYACY.sh
index 9206969da..378ac846e 100755
--- a/startYACY.sh
+++ b/startYACY.sh
@@ -4,12 +4,13 @@ then
echo
echo "For security reasons, you should not run this script as root!"
echo
- exit 2
-elif ! [-x "`which java`"]
+ exit 1
+elif [ ! -x "`which java`" ]
+then
echo "The java command is not executable."
echo "Either you have not installed java or it is not in your PATH"
echo "Has this script been invoked by CRON? Then use the -c option."
- exit 2
+ exit 1
#-c to be imlemented.
#Possible locations for setting of PATH
@@ -25,7 +26,7 @@ elif ! [-x "`which java`"]
#csh, tcsh
#. /etc/csh.login
-elif [-x "`which java`"]
+else
#startup YaCy
cd `dirname $0`
@@ -43,11 +44,11 @@ elif [-x "`which java`"]
for N in lib/*.jar; do CLASSPATH="$CLASSPATH$N:"; done
for N in libx/*.jar; do CLASSPATH="$CLASSPATH$N:"; done
- if [ x$1 == x-d ] #debug
+ if [ "x$1" == "x-d" ] #debug
then
java $java_args -classpath classes:$CLASSPATH yacy
exit 0
- elif [ x$1 == x-l ] #logging
+ elif [ "x$1" == "x-l" ] #logging
then
nohup java $java_args -classpath classes:htroot:$CLASSPATH yacy >> yacy.log &
else